#337 Command Key shortcuts do not work on OS X version(e.g.- Command-S)

closed-rejected
nobody
Windows
5
2014-11-24
2013-10-09
No

If you view the following video, it will demonstrate how the Command key menu shortcuts do not work on the OS X version of OpenJump. Although the Command key does not work, one can press the Option(or Alt) key with some letter combo(e.g.- Option-F), and it will work, however, it will only work for principal menu items, such as File | Edit | View | etc., it will not work deeper down the menu hierarchy, such as with Save for example(e.g.- Command-S, or as is the case with OpenJump - Option-S).

Take a look at the video here:
https://www.dropbox.com/s/ev6j4xix3x97kx6/Command_keys_do_not_work.mov

Thanks,

Eric

Related

Bugs: #337

Discussion

  • ede

    ede - 2013-10-10

    hey Eric,

    in the video your water is running, hope you turned it off inbetween ;)

    any specific reason why you use the metal skin?

    wrt. to your issue above. there are two ways of keyboard interaction with applications (apart from inputting text).

    Mnemonics
    these are the underlined letters in menu entry names. using Alt+key should open this menu and using more Alt+key for sub menu items etc...
    this works, more or less (Alt+i, a defined shortcut, being a prominent exception) on other platforms.
    OsX actually discourages the use of mnemonics,
    https://developer.apple.com/library/mac/documentation/java/conceptual/java14development/07-NativePlatformIntegration/NativePlatformIntegration.html
    so what you see there should be treated as a non functional leftover which will be removed on OsX in the future.

    Accelerators (commonly known as shortcuts)
    now these are another matter. fully supported even on OsX they should work fine.

    be aware i overhauled shortcut support, in 1.6.3 i think. so please use at least this version. better yet for bug reports always use the latest snapshot, behaviour might have changed or fixed already.

    NOTE: the ⌘ (four leaf clover) is the Cmd-key, aka. Apple-key. so to e.g. open a file press Cmd+O. this works whether you have the menu open or not.

    a list of all shortcuts can be found under then Help menu item. additionally shortcuts are printed righthand of menu entries that have a shortcut.

    hope that clears things up.. ede

     
    • Eric Jarvies

      Eric Jarvies - 2013-10-10

      ede,

      The water you are hearing is coming from my kid's turtle tank.

      I use the metal skin because it behaves the best and is the least problematic for several reasons, which I will report on later in the week/month.

      I will update my project files to the latest OJ snapshot and will report video bugs using the latest snapshot henceforth, and will denote the snapshot numbers in my bug reports.

      I am figuring out the different mappings using the Shortcut Keys list you mentioned... its just habit that causes chaos... when one is always pressing ⌘-S to save things, it takes a bit of brain adjustment to instead press ⌘-Shift-S in OJ, for example :-)

      And yes, you are helping clear things up for me, thank you.

      Regards,

      Eric

       
  • ede

    ede - 2013-10-10

    On 10.10.2013 12:47, Eric Jarvies wrote:

    I am figuring out the different mappings using the Shortcut Keys list you mentioned... its just habit that causes chaos... when one is always pressing ⌘-S to save things, it takes a bit of brain adjustment to instead press ⌘-Shift-S in OJ, for example :-)

    you sure? Cmd-S should work in OJ as well as the famous Cmd-Q ...
    the issue mainly exists for WIndows users as they are used to use Strg/Ctrl instead.

    ..ede

     
  • Eric Jarvies

    Eric Jarvies - 2013-10-10

    ede,

    ⌘-S does not work at all, which is shown in the original video I posted. And neither does any of the main menu items, such as ⌘-F, ⌘-E, ⌘-V, and so forth. At present time, in order to accomplish ⌘-F, ⌘-E, ⌘-V, etc., I must use Alt-F, Alt-E, Alt-V, and so forth, but only for top tier menu items, else everything else is ⌘-Shift-Whatever.

    Regards,

    Eric

     
  • ede

    ede - 2013-10-10

    what's your OJ/java version?
    works with the latest snapshot for me.

    ..ede

    On 10.10.2013 13:06, Eric Jarvies wrote:

    ede,

    ⌘-S does not work at all, which is shown in the original video I posted. And neither does any of the main menu items, such as ⌘-F, ⌘-E, ⌘-V, and so forth. At present time, in order to accomplish ⌘-F, ⌘-E, ⌘-V, etc., I must use Alt-F, Alt-E, Alt-V, and so forth, but only for top tier menu items, else everything else is ⌘-Shift-Whatever.

    Regards,

    Eric


    [bugs:#337] http://sourceforge.net/p/jump-pilot/bugs/337/ Command Key shortcuts do not work on OS X version(e.g.- Command-S)

    Status: open
    Labels: Command Save Menu Shortcut Keys
    Created: Wed Oct 09, 2013 02:11 PM UTC by Eric Jarvies
    Last Updated: Thu Oct 10, 2013 09:42 AM UTC
    Owner: nobody

    If you view the following video, it will demonstrate how the Command key menu shortcuts do not work on the OS X version of OpenJump. Although the Command key does /not/ work, one can press the Option(or Alt) key with some letter combo(e.g.- Option-F), and it /will/ work, however, it will only work for principal menu items, such as File | Edit | View | etc., it will not work deeper down the menu hierarchy, such as with Save for example(e.g.- Command-S, or as is the case with OpenJump - Option-S).

    Take a look at the video here:
    https://www.dropbox.com/s/ev6j4xix3x97kx6/Command_keys_do_not_work.mov

    Thanks,

    Eric


    Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/jump-pilot/bugs/337/

    To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

     

    Related

    Bugs: #337

  • ede

    ede - 2013-10-10

    On 10.10.2013 13:06, Eric Jarvies wrote:

    And neither does any of the main menu items, such as ⌘-F, ⌘-E, ⌘-V, and so forth. At present time, in order to accomplish ⌘-F, ⌘-E, ⌘-V, etc., I must use Alt-F, Alt-E, Alt-V, and so forth, but only for top tier menu items, else everything else is ⌘-Shift-Whatever.

    please thoroughly read my other reply wrt. Mnemonics, this is what you refer to with Alt-key combinations.

    ..ede

     
  • ede

    ede - 2014-11-24
    • status: open --> closed-rejected
    • Operating System: --> Windows
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks